#include "qmymessagebox.h"

QMyMessageBox::QMyMessageBox(QWidget *parent)
	: QMessageBox(parent),m_iWidth(0),m_iHeight(0)
{

}

QMyMessageBox::QMyMessageBox( Icon icon, const QString title, const QString info, QMessageBox::StandardButtons buttons)
	: QMessageBox(icon, title, info, buttons),m_iWidth(50),m_iHeight(50)
{
	SetMySize(300, 250);
}

QMyMessageBox::~QMyMessageBox()
{

}

void QMyMessageBox::SetMySize(int width, int height)
{
	m_iWidth = width;
	m_iHeight = height;
}

void QMyMessageBox::resizeEvent(QResizeEvent *)
{
	setFixedSize(m_iWidth, m_iHeight);
}
